# norootforbuild
%define pkg_name    mongodb
%define src_version 1.2.7
%define pkg_version 1.2.7
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php7-mongodb
Version:	%{pkg_version}
Release:	2.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php7-devel
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:  cyrus-sasl-devel
BuildRequires:  openssl-devel
BuildRequires:	pkg-config
Requires:	php7 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{src_version}.tgz
Summary:	MongoDB extension

%description
The purpose of this driver is to provide exceptionally thin glue between MongoDB
and PHP, implementing only fundemental and performance-critical components
necessary to build a fully-functional MongoDB driver.

Authors:
---------

	Derick Rethans
	Jeremy Mikola
	Hannes Magnusson

%debug_package

%prep
%setup -n %{pkg_name}-%{src_version}

%{__mkdir} %{name}

%build
/usr/bin/phpize

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

#export CFLAGS
#export CXXFLAGS
#export LDFLAGS="-L%{_libdir}"

./configure --enable-mongodb || cat config.log

%{__make} %{?jobs:-j%jobs}

%install
%makeinstall INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php7/conf.d
echo "; comment out next line to disable mongodb extension in php" > %{buildroot}%{_sysconfdir}/php7/conf.d/mongodb.ini
echo "extension = mongodb.so" >> %{buildroot}%{_sysconfdir}/php7/conf.d/mongodb.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php7/extensions/mongodb.so
%config(noreplace) %{_sysconfdir}/php7/conf.d/mongodb.ini

%changelog
* Thu Mar 16 2017 cs@linux-administrator.com
- update to release 1.2.7
* Wed Feb  1 2017 cs@linux-administrator.com
- update to release 1.2.5
* Tue Jan 31 2017 cs@linux-administrator.com
- update to release 1.2.4
* Wed Dec 14 2016 cs@linux-administrator.com
- update to release 1.2.2
* Fri Dec  9 2016 cs@linux-administrator.com
- update to release 1.2.1
* Wed Oct 12 2016 cs@linux-administrator.com
- initial package
